#ifndef SPI_USER_H_
#define SPI_USER_H_
//------------------------------------------------
#include "osapi.h"
#include "driver/spi.h"
//------------------------------------------------
#define SPI_CLK_USE_DIV 0
#define SPI_CLK_PREDIV 10
#define SPI_CLK_CNTDIV 2
//------------------------------------------------
#define spi_busy(spi_no) READ_PERI_REG(SPI_CMD(spi_no))&SPI_USR
//------------------------------------------------
void spi_init(uint8 spi_no);
void spi_send16(uint8 spi_no, uint16 data);
//------------------------------------------------
#endif /* SPI_USER_H_ */
